Bug 54235 - FILESAVE: FORMCONTROLS: Form element data loss when saving in .docx format, text field
Summary: FILESAVE: FORMCONTROLS: Form element data loss when saving in .docx format, t...
Status: RESOLVED DUPLICATE of bug 50097
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOCX-ActiveX-Legacy
  Show dependency treegraph
 
Reported: 2012-08-30 00:31 UTC by Bernard Gray
Modified: 2017-05-14 00:11 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments
example odt which when saved as docx format, loses data (9.82 KB, application/vnd.oasis.opendocument.text)
2012-08-30 00:31 UTC, Bernard Gray
Details
example docx file which has lost data compared to the originally attached odt file (3.36 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-08-30 00:32 UTC, Bernard Gray
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Gray 2012-08-30 00:31:32 UTC
Created attachment 66306 [details]
example odt which when saved as docx format, loses data

Data is not retained within a text box when an odt file is saved as a .docx

This was previously a problem with .doc (#45724) as well, but that has been resolved as of 3.5.6.2*

To recreate issue, open writer and:
1/ Select Form Control Toolbar  (View → Toolbars → Form Controls)
2/ Turn On Design Mode (icon on Form Control toolbar)
3/ Draw a “Text Box”
4/ Turn Off Design Mode
5/ Enter text data into text box
6/ Save document as a .docx file.
7/ Open MS format ver in LibreOffice OR MS Office – data (and most formatting)
lost!

Sample documents attached -
Comment 1 Bernard Gray 2012-08-30 00:32:22 UTC
Created attachment 66307 [details]
example docx file which has lost data compared to the originally attached odt file
Comment 2 Sheline 2012-08-30 00:45:11 UTC
This affects me too.
Comment 3 Rene' Fiby 2012-08-30 04:43:01 UTC
Yes, unfortunately it is a problem for me too. There must be hundreds of other people having this issue, but only few take the time to comment on this. Thank you LibreOffice team for looking into this :-) Cheers - Rene'
Comment 4 bfoman (inactive) 2012-08-30 06:33:13 UTC
Confirmed with:
LO 3.5.6.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit
Comment 5 sasha.libreoffice 2012-08-30 08:12:26 UTC
Thanks for bugreport
reproduced in 3.3.4 and 3.6.1 on Fedora 64 bit
msWord 2007 opens produced docx, but without fields
Changing version to 3.3.4 as most early reproduced

Workaround: save as doc
Comment 6 Bill Robertson 2012-08-30 08:47:18 UTC
Can confirm this docx bug with LibreOffice "Version 3.6.1.2 (Build ID: e29a214)" running under Ubuntu 

PS  The the previous .doc equivalent of this bug (#45724) is now successfully resolved in LibreOffice 3.6.1.2 - thank you all!

Regards
Bill
Comment 7 Karl Bowden 2012-08-31 06:13:41 UTC Comment hidden (me-too)
Comment 8 Janine 2012-08-31 06:18:00 UTC Comment hidden (me-too)
Comment 9 Shane Dunn 2012-08-31 08:01:03 UTC Comment hidden (me-too)
Comment 10 Samuel Mehrbrodt (CIB) 2014-01-23 13:56:27 UTC
Still not fixed in 4.2.

@All who want to see this resolved: You might consider sponsoring this on www.freedomsponsors.org to get some attention from developers.
Comment 11 Jorendc 2014-04-21 23:19:09 UTC
*** Bug 61063 has been marked as a duplicate of this bug. ***
Comment 12 Tom Williams 2014-08-30 18:55:54 UTC
I believe I just encountered this problem in LO 4.2.4 on Ubuntu Linux and 4.3.1 on Windows XP.  When I save a document with form text fields, the text fields, themselves, don't appear but I can enter data in the areas where the text fields were located.

When I save my document as a Word 2003 file, the text boxes appear properly.
Comment 13 Matthew Francis 2014-10-15 17:32:37 UTC

*** This bug has been marked as a duplicate of bug 50097 ***